package cd.casic.ci.common.pipeline.pojo.transfer;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：PositionResponse
 * @Date：2025/03/26 11:01
 * @Filename：PositionResponse
 * @description：Todo
 */
@Data
@Schema(title = "yaml定位")
public class PositionResponse {
    @Schema(title = "定位类型，非error时应当必有")
    private PositionType type;

    @Schema(title = "当定位到JOB,STEP时有效，表示当前stage的os类型")
    private TransferVMBaseOS jobBaseOs;

    @Schema(title = "当定位到STAGE,JOB,STEP时有效，表示stage下标, -1 表示finally stage")
    private Integer stageIndex;

    @Schema(title = "当定位到JOB,STEP时有效，表示container下标")
    private Integer containerIndex;

    @Schema(title = "当定位到JOB,STEP时有效，表示job的id")
    private String jobId;

    @Schema(title = "当定位到STEP时有效，表示step下标")
    private Integer stepIndex;

    @Schema(title = "当定位到STEP时有效，拿到对应的element元素")
    private Element element;

    @Schema(title = "转换错误")
    private String error;

    public enum PositionType {
        SETTING,
        STAGE,
        JOB,
        STEP
    }
}
