package cd.casic.ci.common.pipeline.utils;

import cd.casic.ci.common.pipeline.pojo.BuildParameters;
import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.framework.commons.util.json.JsonUtils;
import cn.hutool.json.JSONUtil;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.utils
 * @Project：ops-pro
 * @name：ParameterUtils
 * @Date：2025/03/26 15:57
 * @Filename：ParameterUtils
 * @description：Todo
 */
public class ParameterUtils {
    public static String getListValueByKey(List<BuildParameters> list, String key) {
        var valueMap = list.stream().filter(params -> params.getKey().equals(key)).map(BuildParameters::getValue).collect(Collectors.toList());
        return !valueMap.isEmpty() ? valueMap.get(0).toString() : null;
    }

    public static String element2Str(Element element) {
        var elementStr = JsonUtils.toJsonString(element);
        return elementStr.length() > 65534 ? null : elementStr;
    }

    public static Map<String, Object> getElementInput(Element element) {
        return getParamInputs(element.genTaskParams());
    }

    public static Map<String, Object> getParamInputs(Map<String, Object> taskParams) {
        var json = taskParams.get("data");
        if (json == null) {
            return null;
        }
        Map var = JSONUtil.toBean(JSONUtil.toJsonStr(json), Map.class);
        var inputData = var.get("input");
        if (inputData == null) {
            return null;
        }
        return var;
    }
}
