package cd.casic.ci.common.pipeline.utils;

import cd.casic.ci.common.pipeline.constant.PipelineDateUtilConstant;

import java.text.SimpleDateFormat;
import java.util.Date;

public class PipelineDateUtil {
    /**
     * 返回系统时间
     * @param type 时间类型 1.(yyyy-MM-dd HH:mm:ss) 2.(yyyy-MM-dd) 3.(HH:mm:ss) 4.([format]) 5.(HH:mm)
     * @return 时间
     */
    public static String nowDateString(String type){

        switch (type) {
            case PipelineDateUtilConstant.yyyy_MM_dd -> {
                return new SimpleDateFormat("yyyy-MM-dd").format(new Date());
            }
            case PipelineDateUtilConstant.HH_mm_ss -> {
                return new SimpleDateFormat("HH:mm:ss").format(new Date());
            }
            case PipelineDateUtilConstant.yyyy_MM_dd_HH_mm_ss -> {
                String format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
                return "[" + format + "]" + "  ";
            }
            case PipelineDateUtilConstant.HH_mm -> {
                return new SimpleDateFormat("HH:mm").format(new Date());
            }
            case PipelineDateUtilConstant.yyyy_MM_dd_HH_mm_ss_SSS -> {
                return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss:SSS").format(new Date());
            }
            default -> {
                return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
            }
        }
    }
}
