package cd.casic.pipeline.environment.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
@Schema(title = "NodeBaseInfo-节点信息(权限)")
public class NodeBaseInfo {
    @Schema(title = "环境 HashId", required = true)
    private String nodeHashId;

    @Schema(title = "节点 Id", required = true)
    private String nodeId;

    @Schema(title = "节点名称", required = true)
    private String name;

    @Schema(title = "IP", required = true)
    private String ip;

    @Schema(title = "节点状态", required = true)
    private String nodeStatus;

    @Schema(title = "agent状态", required = false)
    private Boolean agentStatus;

    @Schema(title = "节点类型", required = true)
    private String nodeType;

    @Schema(title = "操作系统", required = false)
    private String osName;

    @Schema(title = "创建人", required = true)
    private String createdUser;

    @Schema(title = "责任人", required = false)
    private String operator;

    @Schema(title = "备份责任人", required = false)
    private String bakOperator;

    @Schema(title = "网关地域", required = false)
    private String gateway;

    @Schema(title = "显示名称", required = false)
    private String displayName;

    @Schema(title = "所属业务, 默认-1表示没有绑定业务")
    private Long bizId;

    @Schema(title = "当前环境是否启用这个 node")
    private Boolean envEnableNode;

    @Schema(title = "最后更新时间")
    private Long lastModifyTime;

    @Schema(title = "机型")
    private String size;
} 