package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import cd.casic.ci.common.pipeline.pojo.agent.ThirdPartyBuildInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname HeartbeatInfo
 * @Description TODO
 * @Date 2025/4/8 21:15
 */
@Data
@AllArgsConstructor
public class HeartbeatInfo {
    @Schema(title = "主版本")
    private String masterVersion;
    @Schema(title = "从属版本")
    private String slaveVersion;
    @Schema(title = "主机名")
    private String hostName;
    @Schema(title = "Agent IP")
    private String agentIp;
    @Schema(title = "通道数量")
    private int parallelTaskCount;
    @Schema(title = "Agent安装路径")
    private String agentInstallPath;
    @Schema(title = "启动用户")
    private String startedUser;
    @Schema(title = "任务列表")
    private List<ThirdPartyBuildInfo> taskList;
    @Schema(title = "Agent ID")
    private Long agentId;
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "心跳时间")
    private Long heartbeatTime;
    public static HeartbeatInfo dummyHeartbeat(String projectId, Long agentId) {
        return new HeartbeatInfo(
                "",
                "",
                "",
                "",
                0,
                "",
                "",
                List.of(),
                agentId,
                projectId,
                System.currentTimeMillis()
        );
    }
}
