package cd.casic.ci.log.api.impl;


import cd.casic.ci.log.dal.pojo.EndPageQueryLogs;
import cd.casic.ci.log.dal.pojo.PageQueryLogs;
import cd.casic.ci.log.dal.pojo.QueryLogs;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.log.api.AppLogResource;
import cd.casic.ci.log.dal.pojo.enums.LogType;
import cd.casic.ci.log.service.BuildLogQueryService;
import cd.casic.ci.log.service.LogTagService;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RestController;


@RestController
@Slf4j
public class AppLogResourceImpl implements AppLogResource {

    @Resource
    private BuildLogQueryService buildLogQueryService;
    @Resource
    private LogTagService logTagService;

    @Override
    public CommonResult<PageQueryLogs> getInitLogs(String userId, String projectId, String pipelineId, String buildId, boolean debug, LogType logType, String tag, String subTag, String jobId, int executeCount, int page, int pageSize) {
        return buildLogQueryService.getInitLogsPage(userId, projectId, pipelineId, buildId, debug, logType, tag, jobId, executeCount, page, pageSize, subTag);
    }

    @Override
    public CommonResult<QueryLogs> getMoreLogs(String userId, String projectId, String pipelineId, String buildId, boolean debug, LogType logType, int num, boolean fromStart, long start, long end, String tag, String subTag, String jobId, int executeCount) {
        return buildLogQueryService.getMoreLogs(userId, projectId, pipelineId, buildId, debug, logType, num, fromStart, start, end, tag, jobId, executeCount, subTag);
    }

    @Override
    public CommonResult<QueryLogs> getAfterLogs(String userId, String projectId, String pipelineId, String buildId, long start, boolean debug, LogType logType, String tag, String subTag, String jobId, int executeCount) {
        return buildLogQueryService.getAfterLogs(userId, projectId, pipelineId, buildId, start, debug, logType, tag, jobId, executeCount, subTag);
    }

    @Override
    public CommonResult<QueryLogs> getBeforeLogs(String userId, String projectId, String pipelineId, String buildId, long end, boolean debug, LogType logType, int size, String tag, String subTag, String jobId, int executeCount) {
        return buildLogQueryService.getBeforeLogs(userId, projectId, pipelineId, buildId, end, debug, logType, size, tag, jobId, executeCount, subTag);
    }

    @Override
    public CommonResult<EndPageQueryLogs> getEndLogsPage(String userId, String projectId, String pipelineId, String buildId, int size, boolean debug, LogType logType, String tag, String subTag, String jobId, int executeCount) {
        return buildLogQueryService.getEndLogsPage(userId, projectId, pipelineId, buildId, size, debug, logType, tag, jobId, executeCount, subTag);
    }

    @Override
    public CommonResult<QueryLogs> getBottomLogs(String userId, String projectId, String pipelineId, String buildId, boolean debug, LogType logType, int size, String tag, String subTag, String jobId, int executeCount) {
        return buildLogQueryService.getBottomLogs(userId, projectId, pipelineId, buildId, size, debug, logType, tag, jobId, executeCount, subTag);
    }

    @Override
    public CommonResult<String> test(String buildId, String tagName, String subTag) {
        logTagService.saveSubTag(buildId, tagName, subTag);
        return CommonResult.success("成功");
    }
}
