package cd.casic.ci.log.dal.pojo;

import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.ci.log.dal.pojo.enums.LogStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname PageQueryLogs
 * @Date 2025/3/19 17:39
 */
@Data
@Schema(title = "日志查询模型")
public class PageQueryLogs {
    @Schema(description = "构建ID", required = true)
    String buildId;
    @Schema(description = "是否结束", required = true)
    boolean finished;
    //todo Page分页类，分页数据包装模型
    @Schema(description = "日志列表", required = true)
    PageResult<LogLine> logs;
    @Schema(description = "所用时间", required = false)
    long timeUsed = 0;
    @Schema(description = "日志查询状态", required = false)
    int status = LogStatusEnum.SUCCEED.status;
}
