package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Collections;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineViewPreview
 * @Date：2025/03/24 20:08
 * @Filename：PipelineViewPreview
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "Pipeline视图预览")
public class PipelineViewPreview {
    @Schema(title = "新增的流水线ID列表", required = true)
    private List<PipelineInfo> addedPipelineInfos = Collections.emptyList();
    @Schema(title = "删除的流水线ID列表", required = true)
    private List<PipelineInfo> removedPipelineInfos = Collections.emptyList();
    @Schema(title = "保留的流水线ID列表", required = true)
    private List<PipelineInfo> reservePipelineInfos = Collections.emptyList();

    @Data
    public static class PipelineInfo {
        @Schema(title = "名称", required = true)
        private String pipelineName;
        @Schema(title = "ID", required = true)
        private String pipelineId;
        @Schema(title = "是否删除", required = true)
        private boolean delete;
    }

    public static final PipelineViewPreview EMPTY = new PipelineViewPreview();
}
