package cd.casic.ci.process.api.process.pojo.setting;

import cd.casic.ci.common.pipeline.enums.VersionStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineVersionSimple
 * @Date：2025/03/24 20:23
 * @Filename：PipelineVersionSimple
 * @description：Todo
 */
@Data
@Schema(title = "流水线版本摘要")
public class PipelineVersionSimple {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线创建人", required = true)
    private String creator;
    @Schema(title = "创建时间戳", required = true)
    private long createTime;
    @Schema(title = "更新操作人", required = true)
    private String updater;
    @Schema(title = "更新时间戳", required = true)
    private Long updateTime;
    @Schema(title = "流水线版本号", required = true)
    private int version;
    @Schema(title = "流水线版本名称", required = true)
    private String versionName;
    @Schema(title = "YAML编排版本", required = false)
    private String yamlVersion;
    @Schema(title = "是否还有构建记录引用该版本标识", required = false)
    private Boolean referFlag;
    @Schema(title = "关联构建记录总数", required = false)
    private Integer referCount;
    @Schema(title = "发布版本号", required = false)
    private Integer versionNum;
    @Schema(title = "编排版本号", required = false)
    private Integer pipelineVersion;
    @Schema(title = "触发器版本号", required = false)
    private Integer triggerVersion;
    @Schema(title = "配置版本号", required = false)
    private Integer settingVersion;
    @Schema(title = "草稿版本标识", required = false)
    private VersionStatus status;
    @Schema(title = "版本变更说明", required = false)
    private String description;
    @Schema(title = "调试构建ID", required = false)
    private String debugBuildId;
    @Schema(title = "该版本的来源版本（空时一定为主路径）", required = false)
    private Integer baseVersion;
    @Schema(title = "基准版本的版本名称")
    private String baseVersionName;
    @Schema(title = "当前最新正式版本标识", required = false)
    private Boolean latestReleasedFlag;

    public PipelineVersionSimple(String pipelineId, String creator, LocalDateTime createTime, String updater, LocalDateTime localDateTime, int version, String s, Boolean referFlag, Integer referCount, Integer versionNum, Integer pipelineVersion, Integer triggerVersion, Integer settingVersion, VersionStatus versionStatus, String debugBuildId, Integer baseVersion, String description, String yamlVersion) {
        this.pipelineId = pipelineId;
        this.creator = creator;
        this.createTime = createTime.toEpochSecond(ZoneOffset.of("+8"));
        this.updater = updater;
        this.updateTime = localDateTime.toEpochSecond(ZoneOffset.of("+8"));
        this.version = version;
        this.versionName = s;
        this.referFlag = referFlag;
        this.referCount = referCount;
        this.versionNum = versionNum;
        this.pipelineVersion = pipelineVersion;
        this.triggerVersion = triggerVersion;
        this.settingVersion = settingVersion;
        this.status = versionStatus;
        this.debugBuildId = debugBuildId;
        this.baseVersion = baseVersion;
        this.description = description;
        this.yamlVersion = yamlVersion;
    }
}
