package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.common.pipeline.pojo.BuildFormProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateModelDetail
 * @Date：2025/03/24 19:27
 * @Filename：TemplateModelDetail
 * @description：Todo
 */
@Data
public class TemplateModelDetail {
    @Schema(title = "版本列表", required = false)
    private List<TemplateVersion> versions;
    @Schema(title = "当前版本", required = false)
    private TemplateVersion currentVersion;
    @Schema(title = "最新版本", required = false)
    private TemplateVersion latestVersion;
    @Schema(title = "模板名称", required = false)
    private String templateName;
    @Schema(title = "解释说明", required = false)
    private String description;
    @Schema(title = "创建者", required = false)
    private String creator;
    @Schema(title = "模板模型", required = false)
    private Model template;
    @Schema(title = "模板类型", required = false)
    private String templateType;
    @Schema(title = "logo的url地址", required = false)
    private String logoUrl;
    @Schema(title = "是否有操作权限", required = false)
    private boolean hasPermission;
    @Schema(title = "参数列表", required = false)
    private List<BuildFormProperty> params;
    @Schema(title = "模板参数构建", required = false)
    private List<BuildFormProperty> templateParams;
}
