package cd.casic.ci.project.dal.pojo;

import cd.casic.ci.project.enums.ProjectAuthSecrecyStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Collections;
import java.util.List;

@Schema(description = "项目-新增模型")
@Data
public class ProjectCreateInfo {
    @Schema(description = "项目名称")
    private String projectName;
    @Schema(description = "英文缩写")
    private String englishName;
    @Schema(description = "项目类型")
    private int projectType = 0;
    @Schema(description = "描述")
    private String description;
    @Schema(description = "一级部门ID")
    private long bgId = 0;
    @Schema(description = "一级部门名字")
    private String bgName = "";
    @Schema(description = "二级部门ID")
    private long deptId = 0;
    @Schema(description = "二级部门名称")
    private String deptName = "";
    @Schema(description = "三级部门ID")
    private long centerId = 0;
    @Schema(description = "三级部门名称")
    private String centerName = "";
    @Schema(description = "是否保密")
    private boolean secrecy = false;
    @Schema(description = "kind")
    private int kind = 0;
    @Schema(description = "项目相关配置")
    private ProjectProperties properties;
    @Schema(description = "项目最大可授权人员范围")
    private List<SubjectScopeInfo> subjectScopes = Collections.emptyList();
    @Schema(description = "logo地址")
    private String logoAddress;
    @Schema(description = "项目性质")
    private Integer authSecrecy = ProjectAuthSecrecyStatus.PUBLIC.getValue();
}
