package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.common.index.StoreIndexInfo;
import cd.casic.pipeline.store.pojo.common.label.Label;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "流水线-插件信息")
public class AtomRespItem {
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件版本", required = true)
    private String version;
    @Schema(title = "插件默认版本号", required = true)
    private String defaultVersion;
    @Schema(title = "插件大类（插件市场发布的插件分为有marketBuild：构建环境和marketBuildLess：无构建环境）", required = true)
    private String classType;
    @Schema(title = "服务范围", required = true)
    private List<String> serviceScope;
    @Schema(title = "支持的操作系统", required = true)
    private List<String> os;
    @Schema(title = "插件logo", required = false)
    private String logoUrl;
    @Schema(title = "插件图标", required = false)
    private String icon;
    @Schema(title = "所属分类编码", required = true)
    private String classifyCode;
    @Schema(title = "所属分类名称", required = true)
    private String classifyName;
    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = true)
    private String category;
    @Schema(title = "插件简介", required = false)
    private String summary;
    @Schema(title = "插件说明文档链接", required = false)
    private String docsLink;
    @Schema(title = "插件类型，SELF_DEVELOPED：自研 THIRD_PARTY：第三方开发", required = true)
    private String atomType;
    @Schema(title = "插件状态", required = true)
    private String atomStatus;
    @Schema(title = "插件描述", required = false)
    private String description;
    @Schema(title = "发布者", required = false)
    private String publisher;
    @Schema(title = "创建人", required = true)
    private String creator;
    @Schema(title = "修改人", required = false)
    private String modifier;
    @Schema(title = "创建时间", required = false)
    private String createTime;
    @Schema(title = "修改时间", required = false)
    private String updateTime;
    @Schema(title = "是否为默认插件（默认插件默认所有项目可见）true：默认插件 false：普通插件", required = true)
    private Boolean defaultFlag;
    @Schema(title = "是否为最新版本插件 true：最新 false：非最新", required = true)
    private Boolean latestFlag;
    @Schema(title = "前端渲染模板版本（1.0代表历史存量插件渲染模板版本）", required = true)
    private String htmlTemplateVersion;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "权重（数值越大代表权重越高）", required = false)
    private Integer weight;
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    @Schema(title = "评分", required = false)
    private Double score;
    @Schema(title = "最近执行次数", required = false)
    private Integer recentExecuteNum;
    @Schema(title = "是否能卸载标识", required = false)
    private Boolean uninstallFlag;
    @Schema(title = "标签列表", required = false)
    private List<Label> labelList;
    @Schema(title = "是否有权限安装标识", required = false)
    private Boolean installFlag;
    @Schema(title = "是否已安装", required = false)
    private Boolean installed;
    @Schema(title = "指标信息列表", required = false)
    private List<StoreIndexInfo> indexInfos;
    @Schema(title = "hotFlag", required = false)
    private Boolean hotFlag;
}