package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "安装组件到项目请求报文")
public class InstallStoreReq {
    @Schema(title = "项目标识", required = true)
    private ArrayList<String> projectCodes;
    
    @Schema(title = "组件标识", required = true)
    private String storeCode;
    
    @Schema(title = "组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "实例ID", required = false)
    private String instanceId;
    
    @Schema(title = "版本号", required = false)
    private String version;
}