package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "研发商店-我的组件信息")
public class MyStoreComponent {
    @Schema(title = "store组件ID", required = true)
    private String storeId;
    
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private String storeType;
    
    @Schema(title = "store组件名称", required = true)
    private String name;
    
    @Schema(title = "开发语言", required = false)
    private String language;
    
    @Schema(title = "logo链接", required = false)
    private String logoUrl;
    
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "状态", required = true)
    private String status;
    
    @Schema(title = "项目名称", required = true)
    private String projectName;
    
    @Schema(title = "是否有处于上架状态的组件版本", required = true)
    private Boolean releaseFlag;
    
    @Schema(title = "创建人", required = true)
    private String creator;
    
    @Schema(title = "修改人", required = true)
    private String modifier;
    
    @Schema(title = "创建时间", required = true)
    private String createTime;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
    
    @Schema(title = "处于流程中的组件版本信息", required = false)
    private List<StoreBaseInfo> processingVersionInfos;
}