package cd.casic.pipeline.store.pojo.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ReleaseTypeEnum {
    NEW(0), // 新上架
    INCOMPATIBILITY_UPGRADE(1), // 非兼容性升级
    COMPATIBILITY_UPGRADE(2), // 兼容性功能更新
    COMPATIBILITY_FIX(3), // 兼容性问题修正
    CANCEL_RE_RELEASE(4), // 取消发布后重新发布
    HIS_VERSION_UPGRADE(5), // 历史大版本下的小版本更新
    BRANCH_TEST(6); // 分支测试

    private final int releaseType;

    public boolean isDefaultShow() {
        return this == COMPATIBILITY_UPGRADE || this == COMPATIBILITY_FIX;
    }

    public static ReleaseTypeEnum getReleaseTypeObj(int releaseType) {
        for (ReleaseTypeEnum enumObj : values()) {
            if (enumObj.releaseType == releaseType) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getReleaseType(int releaseType) {
        for (ReleaseTypeEnum enumObj : values()) {
            if (enumObj.releaseType == releaseType) {
                return enumObj.name();
            }
        }
        return NEW.name();
    }
}