package cd.casic.pipeline.store.pojo.common.statistic;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "每日统计信息")
public class StoreDailyStatistic {
    @Schema(title = "总下载量")
    private int totalDownloads;
    
    @Schema(title = "每日下载量")
    private int dailyDownloads;
    
    @Schema(title = "每日执行成功数")
    private int dailySuccessNum;
    
    @Schema(title = "每日执行成功率")
    private Double dailySuccessRate;
    
    @Schema(title = "每日执行失败数")
    private int dailyFailNum;
    
    @Schema(title = "每日执行失败率")
    private Double dailyFailRate;
    
    @Schema(title = "每日执行失败详情")
    private Map<String, Object> dailyFailDetail;
    
    @Schema(title = "每日活跃时长，单位：小时")
    private Double dailyActiveDuration;
    
    @Schema(title = "统计时间，格式yyyy-MM-dd HH:mm:ss")
    private String statisticsTime;
}